.. _vSphere API 4.0: ../../vim/version.rst#vimversionversion5

.. _vim.host.DnsConfig: ../../vim/host/DnsConfig.rst

.. _vim.host.VirtualNicConnection: ../../vim/host/VirtualNicConnection.rst


vim.host.DnsConfigSpec
======================
  Dataobject for configuring the DNS settings on the host.
:extends: vim.host.DnsConfig_
:since: `vSphere API 4.0`_

Attributes:
    virtualNicConnection (`vim.host.VirtualNicConnection`_, optional):

       Choose a Virtual nic based on what it is connected to.
